SUSE SLED12 / SLES12 Security Update : p7zip (SUSE-SU-2015:1433-1)

Medium Nessus Plugin ID 85647


The remote SUSE host is missing one or more security updates.


This update fixes the following security issue :

- CVE-2015-1038: directory traversal vulnerability [bnc#912878]

This could for the overwriting of arbitrary files through uncompressing a crafted archive, with the privileges of the user running 7z

Note that Tenable Network Security has extracted the preceding description block directly from the SUSE security advisory. Tenable has attempted to automatically clean and format it as much as possible without introducing additional issues.


To install this SUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product :

SUSE Linux Enterprise Server 12 :

zypper in -t patch SUSE-SLE-SERVER-12-2015-437=1

SUSE Linux Enterprise Desktop 12 :

zypper in -t patch SUSE-SLE-DESKTOP-12-2015-437=1

To bring your system up-to-date, use 'zypper patch'.

See Also

Plugin Details

Severity: Medium

ID: 85647

File Name: suse_SU-2015-1433-1.nasl

Version: $Revision: 2.5 $

Type: local

Agent: unix

Published: 2015/08/26

Modified: 2016/05/11

Dependencies: 12634

Risk Information

Risk Factor: Medium


Base Score: 5.8

Temporal Score: 5.5

Vector: CVSS2#AV:N/AC:M/Au:N/C:N/I:P/A:P

Temporal Vector: CVSS2#E:F/RL:U/RC:ND

Vulnerability Information

CPE: p-cpe:/a:novell:suse_linux:p7zip, p-cpe:/a:novell:suse_linux:p7zip-debuginfo, p-cpe:/a:novell:suse_linux:p7zip-debugsource, cpe:/o:novell:suse_linux:12

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2015/07/31

Reference Information

CVE: CVE-2015-1038

BID: 71890

OSVDB: 116755